Bug 862976 - No audio in gdm when Fedora is run in virtualbox.
No audio in gdm when Fedora is run in virtualbox.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 01:33 EDT by Joanmarie Diggs
Modified: 2014-01-25 03:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-25 03:50:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joanmarie Diggs 2012-10-04 01:33:46 EDT
Steps to reproduce:

1. Install VirtualBox
2. Set up F18 as a guest
3. At the gdm login screen enable screen reader

Expected results: You would be able to hear Orca

Actual results: You cannot hear Orca and nothing seems to be happening. (However Orca is running.)

Once you log in the same problem is present, but at least in the user session you can select alternative devices (you'll need LFE). There's no way to select the audio device from GDM; only the value.

After some googling I found Debian already hit this problem and have a workaround: https://launchpad.net/debian/experimental/+source/pulseaudio/2.1-1. Their remove-analog-mono.patch applied to the guest system solved the problem for me.
Comment 1 Andre Robatino 2012-12-22 15:31:10 EST
Sound is working now in a Rawhide VirtualBox guest, with pulseaudio-3.0-2.fc19. Unfortunately, there is no F18 build for 3.0 yet.
Comment 2 Jeremy Petersen 2013-01-25 11:28:32 EST
I have two different VirtualBox hosts both running Fedora 18 guests and neither one of them has any sound working (KDE desktop). All OS and Virtualbox patches are installed.

Should I be starting a new post for this or does this belong here?
Comment 3 Fedora End Of Life 2013-12-21 04:02:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Andre Robatino 2014-01-25 03:50:01 EST
Closing since F18 is EOL.

Note You need to log in before you can comment on or make changes to this bug.